<template>
  <wd-form ref="form" :model="model" class="relative form_box">
    <wd-cell-group :border="true">
      <wd-input
        v-model="model.steelCoreName"
        label="钢芯名称"
        label-width="100px"
        prop="steelCoreName"
        clearable
        placeholder="请输入钢芯名称"
      />
      <wd-input
        v-model="model.plateNo"
        label="盘号"
        label-width="100px"
        prop="plateNo"
        clearable
        placeholder="请输入盘号"
      />
      <wd-input
        v-model="model.length"
        label="长度"
        label-width="100px"
        prop="length"
        clearable
        placeholder="请输入长度"
      />
      <wd-input
        v-model="model.weight"
        label="重量"
        label-width="100px"
        prop="weight"
        clearable
        placeholder="请输入重量"
      />
      <wd-input
        v-model="model.manufacturers"
        label="厂家"
        label-width="100px"
        prop="manufacturers"
        clearable
        placeholder="请输入厂家"
      />
    </wd-cell-group>
  </wd-form>
</template>

<script lang="ts" setup>
import useFormData from "@/hooks/useFormData";

const { form: model } = useFormData({
  steelCoreName: undefined, // 钢芯名称
  plateNo: undefined, // 盘号
  length: undefined, // 长度
  weight: undefined, // 重量
  manufacturers: undefined, // 厂家
});
</script>

<style lang="scss" scoped>
.form_box {
}
.submit_btn {
  position: absolute;
  bottom: 0;
  width: 100%;
}
</style>
